object Form1: TForm1
  Left = 201
  Top = 134
  Width = 870
  Height = 640
  Caption = 'Four-bar Linkages - Version 3'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Arial'
  Font.Style = []
  OldCreateOrder = False
  OnActivate = FormActivate
  OnCloseQuery = FormCloseQuery
  PixelsPerInch = 96
  TextHeight = 14
  object PaintBox1: TPaintBox
    Left = 384
    Top = 16
    Width = 457
    Height = 457
  end
  object Label1: TLabel
    Left = 704
    Top = 488
    Width = 115
    Height = 16
    Caption = 'Speed and direction'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Arial'
    Font.Style = []
    ParentFont = False
  end
  object StaticText1: TStaticText
    Left = 0
    Top = 584
    Width = 854
    Height = 20
    Cursor = crHandPoint
    Align = alBottom
    Alignment = taCenter
    Caption = 'Copyright '#169' 2008, Gary Darby,  www.DelphiForFun.org'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clBlue
    Font.Height = -13
    Font.Name = 'Arial'
    Font.Style = [fsBold, fsUnderline]
    ParentFont = False
    TabOrder = 0
    OnClick = StaticText1Click
  end
  object BuildTestBtn: TButton
    Left = 392
    Top = 504
    Width = 153
    Height = 25
    Caption = 'Draw default linkage'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Arial'
    Font.Style = []
    ParentFont = False
    TabOrder = 1
    OnClick = BuildTestBtnClick
  end
  object RunBtn: TButton
    Left = 608
    Top = 504
    Width = 75
    Height = 25
    Caption = 'Run'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Arial'
    Font.Style = []
    ParentFont = False
    TabOrder = 2
    OnClick = RunBtnClick
  end
  object Speedbar: TTrackBar
    Left = 688
    Top = 504
    Width = 150
    Height = 45
    LineSize = 3
    Max = 100
    Min = -100
    Frequency = 6
    Position = 80
    SelEnd = 100
    SelStart = -100
    TabOrder = 3
    ThumbLength = 25
  end
  object Memo1: TMemo
    Left = 24
    Top = 8
    Width = 329
    Height = 449
    Color = 14548991
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Arial'
    Font.Style = []
    Lines.Strings = (
      'This is a program to allow some manipulation and '
      'study of simulated 4-bar mechanical linkages.'
      ''
      'Button fucntions are self explanatory.   Left click and '
      'drag to move any connection point.  Right click any '
      'connecton to set its color or "trace" option.  '
      ''
      'Several sample linkage files are included (use '
      'the"Load" button to try them).  '
      ''
      'Rods will currently "stretch": rather than halt or reverse'
      'when bind points are encounterd..'
      ''
      'Future versions may add more sophisticated linkage '
      'types, movement type options, and options for '
      'handling "lock-up'#39' situations.'
      ''
      'In the initial default "windshield wiper" linkage only '
      'three bars are shown.  The fourth bar is an implied '
      'connection between the to two fixed base connection '
      'points , ')
    ParentFont = False
    TabOrder = 4
  end
  object Savebtn: TButton
    Left = 136
    Top = 504
    Width = 75
    Height = 25
    Caption = 'Save as...'
    TabOrder = 5
    OnClick = SavebtnClick
  end
  object LoadBtn: TButton
    Left = 24
    Top = 504
    Width = 75
    Height = 25
    Caption = 'Load...'
    TabOrder = 6
    OnClick = LoadBtnClick
  end
  object OpenDialog1: TOpenDialog
    DefaultExt = 'stm'
    Filter = 'Linkage definition  (*.stm)|*.stm|All files (*.*)|*.*'
    Title = 'Select linkage definition file to load'
    Left = 696
    Top = 8
  end
  object SaveDialog1: TSaveDialog
    DefaultExt = 'stm'
    Filter = 'Linkage definition  (*.stm)|*.stm|All files (*.*)|*.*'
    Title = 'Save linkage definition as...'
    Left = 736
    Top = 8
  end
end
